Page MenuHomePhabricator

Let sysops see difflinks to deleted revisions on Special:AbuseLog
Closed, ResolvedPublic

Description

Based on comments on gerrit, we might also need to change the diff links behaviour in case of selectively hidden revisions, as we're currently generating invalid diff links under certain conditions.

Event Timeline

Daimona created this task.Aug 31 2020, 11:36 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 31 2020, 11:36 AM

Change 419117 had a related patch set uploaded (by Daimona Eaytoy; owner: Matěj Suchánek):
[mediawiki/extensions/AbuseFilter@master] Let sysops see difflinks to deleted revisions on Special:AbuseLog

https://gerrit.wikimedia.org/r/419117

DannyS712 moved this task from To Triage to Not ready to announce on the User-notice board.

Change 419117 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Let sysops see difflinks to deleted revisions on Special:AbuseLog

https://gerrit.wikimedia.org/r/419117

Daimona closed this task as Resolved.Sep 20 2020, 2:44 PM
Daimona removed a project: Patch-For-Review.

Admins can now see links to diffs of deleted revisions on Special:AbuseLog. They use the interface of Special:Undelete.

Jony added a subscriber: Jony.Oct 1 2020, 11:22 AM